MEGAREG(1)

NAME
megareg - Register new Mega.nz account

SYNOPSIS

megareg [--scripted] --register --email <email> --name <realname> --password <password>
megareg [--scripted] --verify <state> <link>

DESCRIPTION

Registers new Mega.nz account. Registration is split into two steps:

    1. --register: Creates a new non-verified account

    2. --verify: Verifies account with the link that was sent to <email>

See example of registration below.

OPTIONS

--register
    Create new non-verified account.

--verify <state> <link>
    Verify account previously created by megareg --register. You need to pass <state> that was returned from megareg --register and a verification link from the email that was sent to <email>.

--email <email>
    Email serves as your new account username, that you’ll be using to sign in.

    NOTES: Beware that ATM, email format is not validated by megatools.

--name <realname>
    Your real (or fake) name.

--password <password>
    Plaintext password. No strength checking is done, so make sure you pick a strong password yourself.

--scripted
    After registration, print the command that can be used to finish the registration in a format suitable for scripting purposes.

--speed-limit <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html. Some acceptable values are:

        • none : Disable proxy if it was enabled in the config file.

        • socks5://localhost:9050 : Local SOCKSv5 proxy server

        • socks5h://localhost:9050 : Local SOCKSv5 proxy server with DNS handled by the proxy

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • api: Dump Mega.nz API calls

        • fs: Dump Mega.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

--version
    Show version information

EXAMPLE

First create an non-verified account:

    $ megareg --register --email your@email.com --name "Your Name" --password "Your Password"
    Registration email was sent to test@megous.com. To complete registration, you must run:
      megareg --verify vbFFFv7AFM25etzkFXLs9A==:Z7FFbgAAAAAAAAAArL33eA==:inEONh3tmwY @LINK@
    (Where @LINK@ is registration link from the 'MEGA Signup' email)

Now wait for a verification mail and run the command as asked:

    $ megareg --verify vbFFFv7AFM25etzkFXLs9A==:Z7FFbgAAAAAAAAAArL33eA==:inEONh3tmwY \
        'https://mega.nz/#confirmciyfWXRGFNcM...'
    Account registered successfully!

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013-2016.

Official website is http://megatools.megous.com.